@font-face {
    font-family: "Kawkab Mono";
    src: url(/fonts/KawkabMono-Regular.woff2);
    font-weight: normal;
}

@font-face {
    font-family: "Kawkab Mono";
    src: url(/fonts/KawkabMono-Bold.woff2);
    font-weight: bold;
}

* {
    unicode-bidi: plaintext;
}

html {
    color: black;
    background-color: white;
}

body {
    font-family: "Kawkab Mono";
    font-size: 16px;
    line-height: 1.4;
    margin: 0;
    padding: 4rem 0;
    min-height: 100%;
    overflow-wrap: break-word;
}

h1,
header,
footer {
    text-align: center;
}

main {
    text-align: left;
}

main,
header,
footer {
    max-width: 800px;
    margin-inline: auto;
    padding: 0 2rem;
}

@media (max-width: 600px) {
    body {
        font-size: 0.9em;
    }

    h1 {
        font-size: 1.8em;
    }
}

@media (max-width: 400px) {
    body {
        font-size: 0.8em;
    }

    h1 {
        font-size: 1.6em;
    }
}

p,
h2,
h3,
h4 {
    margin: 1em 0 0 0;
}

ul,
ol {
    margin: 0;
}

img {
    max-width: 100%;
}

header {
    margin-bottom: 1em;
}

footer {
    margin-top: 3em;
}

@media (prefers-color-scheme: dark) {
    html {
        filter: invert(1);
    }

    img {
        filter: invert(1);
    }
}
